
SSMPFN_("MOV A,#inm"     ,MOV_A_DATA          )
SSMPFN_("MOV A,(X)"      ,MOV_A_ADDRESS       )
SSMPFN_("MOV A,(X)+"     ,MOV_A_ADDRESS       )
SSMPFN_("MOV A,dp"       ,MOV_A_ADDRESS       )
SSMPFN_("MOV A,dp+X"     ,MOV_A_ADDRESS       )
SSMPFN_("MOV A,labs"     ,MOV_A_ADDRESS       )
SSMPFN_("MOV A,labs+X"   ,MOV_A_ADDRESS       )
SSMPFN_("MOV A,labs+Y"   ,MOV_A_ADDRESS       )
SSMPFN_("MOV A,(dp+X)"   ,MOV_A_ADDRESS       )
SSMPFN_("MOV A,(dp)+Y"   ,MOV_A_ADDRESS       )
SSMPFN_("MOV X,#inm"     ,MOV_X_DATA          )
SSMPFN_("MOV X,dp"       ,MOV_X_ADDRESS       )
SSMPFN_("MOV X,dp+Y"     ,MOV_X_ADDRESS       )
SSMPFN_("MOV X,labs"     ,MOV_X_ADDRESS       )
SSMPFN_("MOV Y,#inm"     ,MOV_Y_DATA          )
SSMPFN_("MOV Y,dp"       ,MOV_Y_ADDRESS       )
SSMPFN_("MOV Y,dp+X"     ,MOV_Y_ADDRESS       )
SSMPFN_("MOV Y,labs"     ,MOV_Y_ADDRESS       )
SSMPFN_("MOV (X),A"      ,MOV_ADDRESS_A       )
SSMPFN_("MOV (X)+,A"     ,MOV_ADDRESS_A       )
SSMPFN_("MOV dp,A"       ,MOV_ADDRESS_A       )
SSMPFN_("MOV dp+X,A"     ,MOV_ADDRESS_A       )
SSMPFN_("MOV labs,A"     ,MOV_ADDRESS_A       )
SSMPFN_("MOV labs+X,A"   ,MOV_ADDRESS_A       )
SSMPFN_("MOV labs+Y,A"   ,MOV_ADDRESS_A       )
SSMPFN_("MOV (dp+X),A"   ,MOV_ADDRESS_A       )
SSMPFN_("MOV (dp)+Y,A"   ,MOV_ADDRESS_A       )
SSMPFN_("MOV dp,X"       ,MOV_ADDRESS_X       )
SSMPFN_("MOV dp+Y,X"     ,MOV_ADDRESS_X       )
SSMPFN_("MOV labs,X"     ,MOV_ADDRESS_X       )
SSMPFN_("MOV dp,Y"       ,MOV_ADDRESS_Y       )
SSMPFN_("MOV dp+X,Y"     ,MOV_ADDRESS_Y       )
SSMPFN_("MOV labs,Y"     ,MOV_ADDRESS_Y       )
SSMPFN_("MOV A,X"        ,MOV_A_X             )
SSMPFN_("MOV A,Y"        ,MOV_A_Y             )
SSMPFN_("MOV X,A"        ,MOV_X_A             )
SSMPFN_("MOV Y,A"        ,MOV_Y_A             )
SSMPFN_("MOV X,SP"       ,MOV_X_SP            )
SSMPFN_("MOV SP,X"       ,MOV_SP_X            )
SSMPFN_("MOV dp(d),dp(s)",MOV_ADDRESS_ADDRESS )
SSMPFN_("MOV dp,#inm"    ,MOV_ADDRESS_DATA    )
SSMPFN_("ADC A,#inm"     ,ADC_A_DATA          )
SSMPFN_("ADC A,(X)"      ,ADC_A_ADDRESS       )
SSMPFN_("ADC A,dp"       ,ADC_A_ADDRESS       )
SSMPFN_("ADC A,dp+X"     ,ADC_A_ADDRESS       )
SSMPFN_("ADC A,labs"     ,ADC_A_ADDRESS       )
SSMPFN_("ADC A,labs+X"   ,ADC_A_ADDRESS       )
SSMPFN_("ADC A,labs+Y"   ,ADC_A_ADDRESS       )
SSMPFN_("ADC A,(dp+X)"   ,ADC_A_ADDRESS       )
SSMPFN_("ADC A,(dp)+Y"   ,ADC_A_ADDRESS       )
SSMPFN_("ADC (X),(Y)"    ,ADC_ADDRESS_ADDRESS )
SSMPFN_("ADC dp(d),dp(s)",ADC_ADDRESS_ADDRESS )
SSMPFN_("ADC dp,#inm"    ,ADC_ADDRESS_DATA    )
SSMPFN_("SBC A,#inm"     ,SBC_A_DATA          )
SSMPFN_("SBC A,(X)"      ,SBC_A_ADDRESS       )
SSMPFN_("SBC A,dp"       ,SBC_A_ADDRESS       )
SSMPFN_("SBC A,dp+X"     ,SBC_A_ADDRESS       )
SSMPFN_("SBC A,labs"     ,SBC_A_ADDRESS       )
SSMPFN_("SBC A,labs+X"   ,SBC_A_ADDRESS       )
SSMPFN_("SBC A,labs+Y"   ,SBC_A_ADDRESS       )
SSMPFN_("SBC A,(dp+X)"   ,SBC_A_ADDRESS       )
SSMPFN_("SBC A,(dp)+Y"   ,SBC_A_ADDRESS       )
SSMPFN_("SBC (X),(Y)"    ,SBC_ADDRESS_ADDRESS )
SSMPFN_("SBC dp(d),dp(s)",SBC_ADDRESS_ADDRESS )
SSMPFN_("SBC dp,#inm"    ,SBC_ADDRESS_DATA    )
SSMPFN_("CMP A,#inm"     ,CMP_A_DATA          )
SSMPFN_("CMP A,(X)"      ,CMP_A_ADDRESS       )
SSMPFN_("CMP A,dp"       ,CMP_A_ADDRESS       )
SSMPFN_("CMP A,dp+X"     ,CMP_A_ADDRESS       )
SSMPFN_("CMP A,labs"     ,CMP_A_ADDRESS       )
SSMPFN_("CMP A,labs+X"   ,CMP_A_ADDRESS       )
SSMPFN_("CMP A,labs+Y"   ,CMP_A_ADDRESS       )
SSMPFN_("CMP A,(dp+X)"   ,CMP_A_ADDRESS       )
SSMPFN_("CMP A,(dp)+Y"   ,CMP_A_ADDRESS       )
SSMPFN_("CMP (X),(Y)"    ,CMP_ADDRESS_ADDRESS )
SSMPFN_("CMP dp(d),dp(s)",CMP_ADDRESS_ADDRESS )
SSMPFN_("CMP dp,#inm"    ,CMP_ADDRESS_DATA    )
SSMPFN_("CMP X,#inm"     ,CMP_X_DATA          )
SSMPFN_("CMP X,dp"       ,CMP_X_ADDRESS       )
SSMPFN_("CMP X,labs"     ,CMP_X_ADDRESS       )
SSMPFN_("CMP Y,#inm"     ,CMP_Y_DATA          )
SSMPFN_("CMP Y,dp"       ,CMP_Y_ADDRESS       )
SSMPFN_("CMP Y,labs"     ,CMP_Y_ADDRESS       )
SSMPFN_("AND A,#inm"     ,AND_A_DATA          )
SSMPFN_("AND A,(X)"      ,AND_A_ADDRESS       )
SSMPFN_("AND A,dp"       ,AND_A_ADDRESS       )
SSMPFN_("AND A,dp+X"     ,AND_A_ADDRESS       )
SSMPFN_("AND A,labs"     ,AND_A_ADDRESS       )
SSMPFN_("AND A,labs+X"   ,AND_A_ADDRESS       )
SSMPFN_("AND A,labs+Y"   ,AND_A_ADDRESS       )
SSMPFN_("AND A,(dp+X)"   ,AND_A_ADDRESS       )
SSMPFN_("AND A,(dp)+Y"   ,AND_A_ADDRESS       )
SSMPFN_("AND (X),(Y)"    ,AND_ADDRESS_ADDRESS )
SSMPFN_("AND dp(d),dp(s)",AND_ADDRESS_ADDRESS )
SSMPFN_("AND dp,#inm"    ,AND_ADDRESS_DATA    )
SSMPFN_("OR A,#inm"      ,OR_A_DATA           )
SSMPFN_("OR A,(X)"       ,OR_A_ADDRESS        )
SSMPFN_("OR A,dp"        ,OR_A_ADDRESS        )
SSMPFN_("OR A,dp+X"      ,OR_A_ADDRESS        )
SSMPFN_("OR A,labs"      ,OR_A_ADDRESS        )
SSMPFN_("OR A,labs+X"    ,OR_A_ADDRESS        )
SSMPFN_("OR A,labs+Y"    ,OR_A_ADDRESS        )
SSMPFN_("OR A,(dp+X)"    ,OR_A_ADDRESS        )
SSMPFN_("OR A,(dp)+Y"    ,OR_A_ADDRESS        )
SSMPFN_("OR (X),(Y)"     ,OR_ADDRESS_ADDRESS  )
SSMPFN_("OR dp(d),dp(s)" ,OR_ADDRESS_ADDRESS  )
SSMPFN_("OR dp,#inm"     ,OR_ADDRESS_DATA     )
SSMPFN_("EOR A,#inm"     ,EOR_A_DATA          )
SSMPFN_("EOR A,(X)"      ,EOR_A_ADDRESS       )
SSMPFN_("EOR A,dp"       ,EOR_A_ADDRESS       )
SSMPFN_("EOR A,dp+X"     ,EOR_A_ADDRESS       )
SSMPFN_("EOR A,labs"     ,EOR_A_ADDRESS       )
SSMPFN_("EOR A,labs+X"   ,EOR_A_ADDRESS       )
SSMPFN_("EOR A,labs+Y"   ,EOR_A_ADDRESS       )
SSMPFN_("EOR A,(dp+X)"   ,EOR_A_ADDRESS       )
SSMPFN_("EOR A,(dp)+Y"   ,EOR_A_ADDRESS       )
SSMPFN_("EOR (X),(Y)"    ,EOR_ADDRESS_ADDRESS )
SSMPFN_("EOR dp(d),dp(s)",EOR_ADDRESS_ADDRESS )
SSMPFN_("EOR dp,#inm"    ,EOR_ADDRESS_DATA    )
SSMPFN_("INC A"          ,INC_A               )
SSMPFN_("INC dp"         ,INC_ADDRESS         )
SSMPFN_("INC dp+X"       ,INC_ADDRESS         )
SSMPFN_("INC labs"       ,INC_ADDRESS         )
SSMPFN_("INC X"          ,INC_X               )
SSMPFN_("INC Y"          ,INC_Y               )
SSMPFN_("DEC A"          ,DEC_A               )
SSMPFN_("DEC dp"         ,DEC_ADDRESS         )
SSMPFN_("DEC dp+X"       ,DEC_ADDRESS         )
SSMPFN_("DEC labs"       ,DEC_ADDRESS         )
SSMPFN_("DEC X"          ,DEC_X               )
SSMPFN_("DEC Y"          ,DEC_Y               )
SSMPFN_("ASL A"          ,ASL_A               )
SSMPFN_("ASL dp"         ,ASL_ADDRESS         )
SSMPFN_("ASL dp+X"       ,ASL_ADDRESS         )
SSMPFN_("ASL labs"       ,ASL_ADDRESS         )
SSMPFN_("LSR A"          ,LSR_A               )
SSMPFN_("LSR dp"         ,LSR_ADDRESS         )
SSMPFN_("LSR dp+X"       ,LSR_ADDRESS         )
SSMPFN_("LSR labs"       ,LSR_ADDRESS         )
SSMPFN_("ROL A"          ,ROL_A               )
SSMPFN_("ROL dp"         ,ROL_ADDRESS         )
SSMPFN_("ROL dp+X"       ,ROL_ADDRESS         )
SSMPFN_("ROL labs"       ,ROL_ADDRESS         )
SSMPFN_("ROR A"          ,ROR_A               )
SSMPFN_("ROR dp"         ,ROR_ADDRESS         )
SSMPFN_("ROR dp+X"       ,ROR_ADDRESS         )
SSMPFN_("ROR labs"       ,ROR_ADDRESS         )
SSMPFN_("XCN A"          ,XCN_A               )
SSMPFN_("MOVW YA,dp"     ,MOVW_YA_ADDRESS     )
SSMPFN_("MOVW dp,YA"     ,MOVW_ADDRESS_YA     )
SSMPFN_("INCW dp"        ,INCW_ADDRESS        )
SSMPFN_("DECW dp"        ,DECW_ADDRESS        )
SSMPFN_("ADDW YA,dp"     ,ADDW_YA_ADDRESS     )
SSMPFN_("SUBW YA,dp"     ,SUBW_YA_ADDRESS     )
SSMPFN_("CMPW YA,dp"     ,CMPW_YA_ADDRESS     )
SSMPFN_("MUL YA"         ,MUL_YA              )
SSMPFN_("DIV YA,X"       ,DIV_YA_X            )
SSMPFN_("DAA A"          ,DAA_A               )
SSMPFN_("DAS A"          ,DAS_A               )
SSMPFN_("BRA rel"        ,JMP_ADDRESS         )
SSMPFN_("BEQ rel"        ,BEQ_ADDRESS         )
SSMPFN_("BNE rel"        ,BNE_ADDRESS         )
SSMPFN_("BCS rel"        ,BCS_ADDRESS         )
SSMPFN_("BCC rel"        ,BCC_ADDRESS         )
SSMPFN_("BVS rel"        ,BVS_ADDRESS         )
SSMPFN_("BVC rel"        ,BVC_ADDRESS         )
SSMPFN_("BMI rel"        ,BMI_ADDRESS         )
SSMPFN_("BPL rel"        ,BPL_ADDRESS         )
SSMPFN_("BBS0 dp,rel"    ,BBS_ADDRESS_ADDRESS )
SSMPFN_("BBS1 dp,rel"    ,BBS_ADDRESS_ADDRESS )
SSMPFN_("BBS2 dp,rel"    ,BBS_ADDRESS_ADDRESS )
SSMPFN_("BBS3 dp,rel"    ,BBS_ADDRESS_ADDRESS )
SSMPFN_("BBS4 dp,rel"    ,BBS_ADDRESS_ADDRESS )
SSMPFN_("BBS5 dp,rel"    ,BBS_ADDRESS_ADDRESS )
SSMPFN_("BBS6 dp,rel"    ,BBS_ADDRESS_ADDRESS )
SSMPFN_("BBS7 dp,rel"    ,BBS_ADDRESS_ADDRESS )
SSMPFN_("BBC0 dp,rel"    ,BBC_ADDRESS_ADDRESS )
SSMPFN_("BBC1 dp,rel"    ,BBC_ADDRESS_ADDRESS )
SSMPFN_("BBC2 dp,rel"    ,BBC_ADDRESS_ADDRESS )
SSMPFN_("BBC3 dp,rel"    ,BBC_ADDRESS_ADDRESS )
SSMPFN_("BBC4 dp,rel"    ,BBC_ADDRESS_ADDRESS )
SSMPFN_("BBC5 dp,rel"    ,BBC_ADDRESS_ADDRESS )
SSMPFN_("BBC6 dp,rel"    ,BBC_ADDRESS_ADDRESS )
SSMPFN_("BBC7 dp,rel"    ,BBC_ADDRESS_ADDRESS )
SSMPFN_("CBNE dp,rel"    ,CBNE_ADDRESS_ADDRESS)
SSMPFN_("CBNE dp+X,rel"  ,CBNE_ADDRESS_ADDRESS)
SSMPFN_("DBNZ dp,rel"    ,DBNZ_ADDRESS_ADDRESS)
SSMPFN_("DBNZ Y,rel"     ,DBNZ_Y_ADDRESS      )
SSMPFN_("JMP labs"       ,JMP_ADDRESS         )
SSMPFN_("JMP (labs+X)"   ,JMP_ADDRESS         )
SSMPFN_("CALL labs"      ,CALL_ADDRESS        )
SSMPFN_("PCALL upage"    ,ERROR               )
SSMPFN_("TCALL0"         ,ERROR               )
SSMPFN_("TCALL1"         ,ERROR               )
SSMPFN_("TCALL2"         ,ERROR               )
SSMPFN_("TCALL3"         ,ERROR               )
SSMPFN_("TCALL4"         ,ERROR               )
SSMPFN_("TCALL5"         ,ERROR               )
SSMPFN_("TCALL6"         ,ERROR               )
SSMPFN_("TCALL7"         ,ERROR               )
SSMPFN_("TCALL8"         ,ERROR               )
SSMPFN_("TCALL9"         ,ERROR               )
SSMPFN_("TCALL10"        ,ERROR               )
SSMPFN_("TCALL11"        ,ERROR               )
SSMPFN_("TCALL12"        ,ERROR               )
SSMPFN_("TCALL13"        ,ERROR               )
SSMPFN_("TCALL14"        ,ERROR               )
SSMPFN_("TCALL15"        ,ERROR               )
SSMPFN_("BRK"            ,ERROR               )
SSMPFN_("RET"            ,RET                 )
SSMPFN_("RETI"           ,RETI                )
SSMPFN_("PUSH A"         ,PUSH_A              )
SSMPFN_("PUSH X"         ,PUSH_X              )
SSMPFN_("PUSH Y"         ,PUSH_Y              )
SSMPFN_("PUSH PSW"       ,PUSH_PSW            )
SSMPFN_("POP A"          ,POP_A               )
SSMPFN_("POP X"          ,POP_X               )
SSMPFN_("POP Y"          ,POP_Y               )
SSMPFN_("POP PSW"        ,POP_PSW             )
SSMPFN_("SET0 dp"        ,SET_ADDRESS         )
SSMPFN_("SET1 dp"        ,SET_ADDRESS         )
SSMPFN_("SET2 dp"        ,SET_ADDRESS         )
SSMPFN_("SET3 dp"        ,SET_ADDRESS         )
SSMPFN_("SET4 dp"        ,SET_ADDRESS         )
SSMPFN_("SET5 dp"        ,SET_ADDRESS         )
SSMPFN_("SET6 dp"        ,SET_ADDRESS         )
SSMPFN_("SET7 dp"        ,SET_ADDRESS         )
SSMPFN_("CLR0 dp"        ,CLR_ADDRESS         )
SSMPFN_("CLR1 dp"        ,CLR_ADDRESS         )
SSMPFN_("CLR2 dp"        ,CLR_ADDRESS         )
SSMPFN_("CLR3 dp"        ,CLR_ADDRESS         )
SSMPFN_("CLR4 dp"        ,CLR_ADDRESS         )
SSMPFN_("CLR5 dp"        ,CLR_ADDRESS         )
SSMPFN_("CLR6 dp"        ,CLR_ADDRESS         )
SSMPFN_("CLR7 dp"        ,CLR_ADDRESS         )
SSMPFN_("TSET1 labs"     ,TSET1_ADDRESS       )
SSMPFN_("TCLR1 labs"     ,TCLR1_ADDRESS       )
SSMPFN_("AND1 C,mem.bit" ,AND1_C_ADDRESS      )
SSMPFN_("AND1 C,/mem.bit",AND1_C_NOT_ADDRESS  )
SSMPFN_("OR1 C,mem.bit"  ,OR1_C_ADDRESS       )
SSMPFN_("OR1 C,/mem.bit" ,OR1_C_NOT_ADDRESS   )
SSMPFN_("EOR1 C,mem.bit" ,EOR1_C_ADDRESS      )
SSMPFN_("NOT1 mem.bit"   ,NOT1_ADDRESS        )
SSMPFN_("MOV1 C,mem.bit" ,MOV1_C_ADDRESS      )
SSMPFN_("MOV1 mem.bit,C" ,MOV1_ADDRESS_C      )
SSMPFN_("CLRC"           ,CLRC                )
SSMPFN_("SETC"           ,SETC                )
SSMPFN_("NOTC"           ,NOTC                )
SSMPFN_("CLRV"           ,CLRV                )
SSMPFN_("CLRP"           ,CLRP                )
SSMPFN_("SETP"           ,SETP                )
SSMPFN_("EI"             ,EI                  )
SSMPFN_("DI"             ,DI                  )
SSMPFN_("NOP"            ,NOP                 )
SSMPFN_("SLEEP"          ,SLEEP               )
SSMPFN_("STOP"           ,STOP                )
